aboutsummaryrefslogtreecommitdiff
path: root/tests/data
diff options
context:
space:
mode:
authorRuss Allbery <rra@stanford.edu>2008-02-07 00:46:54 +0000
committerRuss Allbery <rra@stanford.edu>2008-02-07 00:46:54 +0000
commite733132938bc4fc74584b9a7c0f5441eb640e617 (patch)
tree7c2cd522c55d6a2f1e37f75081368529f9d5b8a3 /tests/data
parentf9e41d036aebc03adc2a03a956f219fc827e2cdd (diff)
When creating a srvtab based on a just-downloaded keytab, extract the
srvtab key before merging the keytab into an existing file. Otherwise, if the new keys had a lower kvno than the old keys (possible after deleting and recreating the object), the wrong key would be extracted for the srvtab.
Diffstat (limited to 'tests/data')
-rwxr-xr-xtests/data/cmd-fake13
-rw-r--r--tests/data/fake-keytab-oldbin0 -> 334 bytes
2 files changed, 9 insertions, 4 deletions
diff --git a/tests/data/cmd-fake b/tests/data/cmd-fake
index 4b97f43..a8d979a 100755
--- a/tests/data/cmd-fake
+++ b/tests/data/cmd-fake
@@ -50,11 +50,16 @@ setattr)
fi
case "$1" in
service/fake-srvtab)
- if [ "$3" != "kaserver" ] ; then
- echo "Invalid attribute value $3" >&2
- exit 1
+ if [ "$3" = "kaserver" ] ; then
+ touch sync-kaserver
+ else
+ if [ "$3" = "" ] ; then
+ rm sync-kaserver
+ else
+ echo "Invalid attribute value $3" >&2
+ exit 1
+ fi
fi
- touch sync-kaserver
;;
*)
echo "Looking at sync attribute of wrong keytab" >&2
diff --git a/tests/data/fake-keytab-old b/tests/data/fake-keytab-old
new file mode 100644
index 0000000..6a13fd6
--- /dev/null
+++ b/tests/data/fake-keytab-old
Binary files differ